RubyGems Navigation menu

import.rb 0.1.1

# import.rb Instead of `Kernel.require`. ## Installation Add this line to your application's Gemfile: ```ruby gem 'import.rb' ``` And then execute: $ bundle Or install it yourself as: $ gem install import.rb ## Usage - cat.rb ```ruby class Cat def meow puts 'meow meow' end end ``` - main.rb ```ruby require 'import' cat = import('./cat')::Cat cat.new.meow # => meow meow # Cat # => uninitialized constant Cat (NameError) ``` ## Development After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment. To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org). ## Contributing Bug reports and pull requests are welcome on GitHub at https://github.com/pocke/import.rb .

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 0.2.0 - October 31, 2015 (7 KB)
  2. 0.1.2 - October 28, 2015 (6.5 KB)
  3. 0.1.1 - October 28, 2015 (7 KB)
  4. 0.1.0 - October 28, 2015 (6.5 KB)

Development Dependencies (2):

bundler ~> 1.10
rake ~> 10.0

Owners:

Authors:

  • Masataka Kuwabara

SHA 256 checksum:

= Copy to clipboard Copied!

Total downloads 11,419

For this version 2,097

License:

CC0-1.0

Required Ruby Version: >= 0

Links: